RequestExecutionLevel admin
Name "QUB Express - MDL Idealizer Plugin"
OutFile ..\Install-QUB-Express-MDL-Idealizer-Plugin-1-7-5.exe
CRCCheck on
ComponentText "This will install the MDL idealizer plugin for QUB Express:"
InstType /COMPONENTSONLYONCUSTOM
InstType "QUB Express MDL plugin"
DirText "Please select the location of QUB Express."

InstallDir "$PROGRAMFILES\QUB Express"
InstallDirRegKey HKEY_LOCAL_MACHINE SOFTWARE\qub-express "Install_Dir"

Section "MDL"
SectionIn 1
SetOverwrite try
SetCompress auto


SetOutPath "$INSTDIR\dist\Plugins\qubx_idlmdl"
File /r "qubx_idl_mdl"
File qubxidlmdl.py
File qubx_plugin_about.txt
File qubx_plugin_fini.py
File qubx_plugin_imports.txt
File qubx_plugin_init.py
File qubx_plugin_name.txt
File README.txt
File "..\LICENSE.txt"

SetOutPath "$INSTDIR\dist"
File "..\qubxidlmdl.dll"


!ifndef NO_UNINST
WriteUninstaller "$INSTDIR\uninst-qubx-idlmdl.exe"
CreateShortCut "$STARTMENU\Programs\QUB Express\Uninstall MDL idealizer plugin.lnk" "$INSTDIR\uninst-qubx-idlmdl.exe" "" "" 0
!endif

SectionEnd


!ifndef NO_UNINST
UninstallText "This will remove the MDL idealizer plugin from QUB Express:"

Section Uninstall

RMDir /r "$INSTDIR\dist\Plugins\qubx_mdlidl"

SectionEnd

!endif

